unit u_log;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  Tdlglog = class(TForm)
    BitBtn1: TBitBtn;
    BitBtn3: TBitBtn;
    GroupBox1: TGroupBox;
    cbLogErr: TCheckBox;
    cbLogCP: TCheckBox;
    cbLogDel: TCheckBox;
    GroupBox2: TGroupBox;
    edLogFileName: TEdit;
    Button2: TSpeedButton;
    cbEventLog: TCheckBox;
    procedure Button2Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure cbEventLogClick(Sender: TObject);
    procedure edLogFileNameKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure edLogFileNameKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
    procedure UpdateButtons;
  public
    { Public declarations }
  end;

var
  dlglog: Tdlglog;

implementation

uses u_main, u_str, u_regnt;

{$R *.DFM}


procedure Tdlglog.Button2Click(Sender: TObject);
begin
  with fmMain.OpenDialog1 do
  begin
    Filter := rslf;
    Title := rslt;
    DefaultExt := 'TXT';
    FileName := edLogFileName.Text;
    if Execute
      then
      edLogFileName.Text := FileName;
  end;
end;

procedure Tdlglog.FormShow(Sender: TObject);
begin
  UpdateButtons;
end;

procedure Tdlglog.FormCreate(Sender: TObject);
begin
  UpdateButtons;
end;

procedure Tdlglog.UpdateButtons;
begin
  if not (IsNT and RegisterEventLogApp) then
  begin
    cbEventLog.Checked := False;
    cbEventLog.Enabled := False;
  end;
  if cbEventLog.Checked then
  begin
    edLogFileName.Enabled := False;
    edLogFileName.Color := clBtnFace;
    Button2.Enabled := False;
  end
  else
  begin
    edLogFileName.Enabled := True;
    edLogFileName.Color := clWindow;
    Button2.Enabled := True;
  end;
  CBLogErr.Enabled := cbLogCP.Checked or cbLogDel.Checked;
  if not cbLogErr.Enabled
    then
    cbLogErr.Checked := True;
end;

procedure Tdlglog.cbEventLogClick(Sender: TObject);
begin
  UpdateButtons;
end;

procedure Tdlglog.edLogFileNameKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if (Key = 13) and (Shift = [ssCtrl]) then
  begin
    Key := 0;
    Button2.Click;
  end;
end;

procedure Tdlglog.edLogFileNameKeyPress(Sender: TObject; var Key: Char);
begin
  if Key in [#10, #13]
    then
    Key := #0;
end;

end.

