unit u_mod;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TdlgMod = class(TForm)
    btnSwap: TSpeedButton;
    BitBtn1: TBitBtn;
    BitBtn3: TBitBtn;
    GroupBox1: TGroupBox;
    edSrc: TEdit;
    btnSrc: TSpeedButton;
    GroupBox2: TGroupBox;
    edTrg: TEdit;
    btnTrg: TSpeedButton;
    GroupBox3: TGroupBox;
    edMask: TEdit;
    procedure btnSwapClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure btnSrcClick(Sender: TObject);
    procedure btnTrgClick(Sender: TObject);
    procedure edSrcKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure edTrgKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure edSrcKeyPress(Sender: TObject; var Key: Char);
    procedure edSrcChange(Sender: TObject);
  private
    { Private declarations }
    procedure UpdateButtons;
  public
    { Public declarations }
  end;

var
  dlgMod: TdlgMod;

implementation

uses u_main, u_str;

{$R *.DFM}

procedure TdlgMod.btnSwapClick(Sender: TObject);
var
  s: string;
begin
  s := edSrc.Text;
  edSrc.Text := edTrg.Text;
  edTrg.Text := s;
end;

procedure TdlgMod.FormShow(Sender: TObject);
begin
  BitBtn1.Enabled := False;
end;

procedure TdlgMod.btnSrcClick(Sender: TObject);
var
  sr: string;
begin
  if MPSelectDirectory(rsmodSelSrc, edSrc.Text, -1, -1, sr)
    then
    edSrc.Text := sr;
end;

procedure TdlgMod.btnTrgClick(Sender: TObject);
var
  sr: string;
begin
  if MPSelectDirectory(rsmodSelTrg, edTrg.Text, -1, -1, sr)
    then
    edTrg.Text := sr;
end;


procedure TdlgMod.edSrcKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if (Key = 13) and (Shift = [ssCtrl]) then
  begin
    Key := 0;
    BtnSrc.Click;
  end;
end;

procedure TdlgMod.edTrgKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if (Key = 13) and (Shift = [ssCtrl]) then
  begin
    Key := 0;
    BtnTrg.Click;
  end;
end;

procedure TdlgMod.edSrcKeyPress(Sender: TObject; var Key: Char);
begin
  if Key in [#10, #13]
    then
    Key := #0;
end;

procedure TdlgMod.edSrcChange(Sender: TObject);
begin
  UpdateButtons;
end;

procedure TdlgMod.UpdateButtons;
var
  b: boolean;
begin
  b := False;
  if edSRC.Text <> '' then
    if edTrg.Text <> '' then
      if edSrc.Text[1] <> '<' then
        if edTrg.Text[1] <> '<' then
          b := True;
  BitBtn1.Enabled := b;
end;

end.

 